Bug 816675 - ecl is missing dependencies
ecl is missing dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ecl (Show other bugs)
16
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 12:28 EDT by amundson
Modified: 2012-05-11 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: ecl-11.1.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 19:03:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amundson 2012-04-26 12:28:53 EDT
Description of problem:

The ecl package includes header files, so it can be used to compile code that links against libecl. However, using those header files requires gmp.h from gmp-devel and gc.h from gc-devel. Neither package is listed as a dependency of ecl.

Version-Release number of selected component (if applicable):


How reproducible:

Try to compile a sample ecl program.

Steps to Reproduce:
1.
cat > ecl_simple.c
#include <ecl/ecl.h>
 
int main(int argc, char **argv)  {
  cl_boot(argc, argv);
  cl_object obj=c_string_to_object("\"Hello world\"");
  cl_pprint(1,obj);
  cl_shutdown();
}
EOF

2.

gcc -o ecl_simple ecl_simple.c -lecl
  
Actual results:

In file included from /usr/include/ecl/ecl.h:35:0,
                 from ecl_simple.c:1:
/usr/include/ecl/config.h:58:17: fatal error: gmp.h: No such file or directory
compilation terminated.

(the same thing will happen for gc.h if only gmp-devel is installed)

Expected results:

successful compilation

Additional info:
Comment 1 Jerry James 2012-04-26 12:51:53 EDT
Thanks for catching this.  I'll update the package and submit new builds shortly.
Comment 2 Fedora Update System 2012-04-26 16:29:50 EDT
ecl-12.2.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ecl-12.2.1-2.fc17
Comment 3 Fedora Update System 2012-04-26 16:29:58 EDT
ecl-11.1.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ecl-11.1.1-2.fc16
Comment 4 Fedora Update System 2012-04-27 02:04:10 EDT
Package ecl-11.1.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ecl-11.1.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6768/ecl-11.1.1-2.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-04 19:03:06 EDT
ecl-12.2.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-05 21:30:56 EDT
ecl-11.1.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 amundson 2012-05-11 11:28:05 EDT
Many thanks for fixing this bug. I didn't expect the change to go in so quickly! I have verified that it solves the problem for me on F16.
Comment 8 Jerry James 2012-05-11 11:35:33 EDT
You're welcome.  This was an easy fix.  The ones that take awhile are those that require nontrivial source code changes. :-)

Note You need to log in before you can comment on or make changes to this bug.